<< | Thread Index | >> ]    [ << | Date Index | >> ]

To: "Mark Boris Johst" <info,AT,johst,DOT,net>
Subject: RE: Kernel 2.6.4-52 compile...?
From: "Dick St.Peters" <stpeters,AT,NetHeaven,DOT,com>
Date: Mon, 26 Jul 2004 13:47:30 -0400
Cc: <cipe-l,AT,inka,DOT,de>
In-reply-to: <1BoIKr-07tk6S0@fmrl09.sul.t-online.com>
References: <16641.29846.585010.368041@saint.heaven.net><1BoIKr-07tk6S0@fmrl09.sul.t-online.com>

Mark Boris Johst writes:
> Yes, thanks, I've got it, but I have a new error...
> 
> At Compiling the last Makefile in "/linux-2.6.5..." device.c:630: error:
> conflicting types for 'netdev_event'
> Include/linux/netdevice.h:937: error: previous declaration of 'netdev_event'
> 
> ??? What could I do?

Your SUSE header files must differ from the stock kernel header files,
which do not contain the string "netdev_event".  I do not have a SUSE
distribution to examine.

In cipe/device.c, netdev_event occurs in 3 places.  Try changing
them to cipe_netdev_event.  This will match the usage for other
xxxx_netdev_event's.

--
Dick St.Peters, stpeters,AT,NetHeaven,DOT,com 


<< | Thread Index | >> ]    [ << | Date Index | >> ]